### Method

# Gtk Widgetgrab_focus

#### Declaration [src]

    gboolean
    gtk_widget_grab_focus (
      GtkWidget* widget
    )

#### Description [src]

Causes `widget` to have the keyboard focus for the `GtkWindow` it’s inside.

If `widget` is not focusable, or its `Gtk.WidgetClass.grab_focus` implementation cannot transfer the focus to a descendant of `widget` that is focusable, it will not take focus and `FALSE` will be returned.

Calling `gtk_widget_grab_focus()` on an already focused widget is allowed, should not have an effect, and return `TRUE`.

#### Return value

Type: `gboolean`

`TRUE` if focus is now inside `widget`.